# Uses of Class
org.globus.rsl.AbstractRslNode

Packages that use AbstractRslNode
Package
Description
org.globus.rsl
This library provides a convenience API for creating, manipulating, and checking the validity of RSL expressions.

## Uses of AbstractRslNode in org.globus.rsl

Subclasses of AbstractRslNode in org.globus.rsl
Modifier and Type
Class
Description
`class`
`ListRslNode`
This class represents an abstract RSL parse tree.
`class`
`RslNode`
This class represents a RSL parse tree.
Methods in org.globus.rsl that return AbstractRslNode
Modifier and Type
Method
Description
`AbstractRslNode`
AbstractRslNode.`evaluate()`
Evalutes the rsl tree.
`abstract AbstractRslNode`
AbstractRslNode.`evaluate(Map symbolTable)`
Evalutes the rsl tree against the specified symbol table.
`AbstractRslNode`
ListRslNode.`evaluate(Map symbolTable)`
Evalutes the rsl tree against the specified symbol table.
`AbstractRslNode`
RslNode.`evaluate(Map symbolTable)`
Evalutes the rsl tree against the specified symbol table.
`final AbstractRslNode`
RSLParser.`parse()`
`static AbstractRslNode`
RSLParser.`parse(Class rslNodeClass, String rsl)`
`final AbstractRslNode`
RSLParser.`subSpecification()`
Methods in org.globus.rsl with parameters of type AbstractRslNode
Modifier and Type
Method
Description
`boolean`
AbstractRslNode.`add(AbstractRslNode node)`
Adds a rsl parse tree to this node.
`void`
AbstractRslNode.`merge(AbstractRslNode inNode)`
Merges the specified node with the current node.
`void`
AbstractRslNode.`mergeTo(AbstractRslNode dstNode)`
`void`
ListRslNode.`mergeTo(AbstractRslNode dstNode)`
`void`
RslNode.`mergeTo(AbstractRslNode dstNode)`
`final void`
RSLParser.`relation(AbstractRslNode node)`
`boolean`
AbstractRslNode.`removeSpecification(AbstractRslNode node)`
Removes a specific sub-specification tree from the sub-specification list.
`final void`
RSLParser.`specification(AbstractRslNode parentNode)`
`final void`
RSLParser.`specList(AbstractRslNode node)`